// creator  : weidu.exe (version 23100)
// argument : TTJAHEIJ.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TTJAHEIJ~

IF ~Global("TutorialLesson","GLOBAL",38)
~ THEN BEGIN 0 // from:
  SAY #39341 /* ~You will notice that there is a Special Abilities button on the bottom right of your screen.  If you press this, the selected character's special skills will come up.~ [JAHEIRG3] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #39342 /* ~Different classes have different skills.  Druids have the ability to Shapechange, Rangers have the ability to Charm Animals, Paladins have the ability to Lay on Hands and Cure Disease.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #39343 /* ~The Bard also has an extra ability, but you do not have to access the special abilities to use it.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #39344 /* ~When you have your Bard character selected, a Harp icon will appear on the middle bottom of your screen.  Pressing the button activates the Battle Song.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #39345 /* ~Bards can inspire their comrades in combat by use of the Battle Song. They are able to move when singing but any other action will end the song.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #39346 /* ~Why don't you take a few moments to experiment with our abilities.~ */
  IF ~~ THEN DO ~SetGlobal("TutorialLesson","GLOBAL",39)
SetGlobalTimer("TutorialWait","GLOBAL",20)
~ EXIT
END

IF ~PartyHasItem("ttleat")
Global("GotArmor","LOCALS",0)
~ THEN BEGIN 6 // from:
  SAY #39497 /* ~This is an unidentified suit of armor.  You should give it to Xan so that he can Identify it.~ [JAHEIRG4] */
  IF ~~ THEN DO ~SetGlobal("GotArmor","LOCALS",1)
~ EXIT
END

IF ~HPPercentLT(Myself,50)
Global("Hurt","LOCALS",0)
AreaCheck("AR0018")
~ THEN BEGIN 7 // from:
  SAY #39498 /* ~I'm wounded.  You should use Branwen's Cure Wounds spells to heal me.~ [JAHEIRG5] */
  IF ~~ THEN DO ~SetGlobal("Hurt","LOCALS",1)
~ EXIT
END
